Description

So far GModelPar only supports symmetric errors. Support for asymmetric errors should be added.

History

#1 - 02/22/2016 10:09 PM - Knödlseder Jürgen

- Start date deleted (06/19/2015)

Note that the implementation should be done in the GOptimizerPar class, not the GModelPar class.

We have to decide how to name the asymmetric errors in the XML file. We also need to decide how to name the GOptimizerPar methods to access

the asymmetric errors.

I see basically two choices.

1) add an asymmetry parameter {{latex(\alpha)}} given for example by {{latex(\alpha = 0.5(\sigma_+ - \sigma_-))}} and define the mean error as

{{latex(\sigma = 0.5 (\sigma_- + \sigma_+))}}. Then {{latex(\sigma_- = \sigma - \alpha)}} and {{latex(\sigma_+ = \sigma + \alpha)}}. This reutilizes the

existing error attribute of the class. For symmetric errors we simply would have {{latex(\alpha=0)}}, which would be the default in case that no alpha is

provided in the XML file (we may think about a better name for the parameter, e.g. asymmtry or error_asymmetry or something like that).

2) introduce two new parameters, something like error_pos and error_neg. This would however make the existing error attribute obsolete in case that

an asymmetric error exists.

The only advantage that I see in 2) over 1) is that the error are more "readable" (you don't need to apply the above formulae). However, solution 1)

would be a more natural expansion of symmetric errors.

#2 - 06/21/2016 10:05 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#3 - 03/03/2017 10:15 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#4 - 06/06/2017 10:30 PM - Knödlseder Jürgen

- Target version changed from 1.3.0 to 1.4.0
#5 - 07/31/2017 11:07 PM - Knödlseder Jürgen

- Target version deleted (1.4.0)
